mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Runtime.Remoting.TypeEntry System.Runtime.InteropServices.ComVisible(true)

Server-activated types can be either single call or singleton. If a class is registered as a single call type, a new instance is created each time a call from the client arrives. All calls to a singleton object are handled by one instance of that object, unless that object has been collected.

Any client that knows the URI of a registered server-activated object can obtain a proxy for this object by registering the channel it prefers with and activating the object by calling new or . To activate a server-activated object with new, you must first register the server-activated object type on the client using the method. By calling , you are giving the remoting infrastructure the location of the remote object, which allows the new keyword to create it. If, on the other hand, you use the method to activate a server-activated object, you must supply it with the object's URL as an argument, so no prior registration on the client is necessary.

For a detailed description of server-activated objects and remote object activation, see [<topic://cpconActivation>].

Holds values for an object type registered on the client as a server-activated type (single call or singleton).

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with the given type and URL.

  The of the server-activated type.
  The URL of the server-activated type.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class with the given type, assembly name, and URL.

  The type name of the server-activated type.
  The assembly name of the server-activated type.
  The URL of the server-activated type.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string'

  The application URL is optional and should be set to the URL of the application corresponding to the server-activated object.

  Gets or sets the URL of the application to activate the type in.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Type To be added: an object of type 'Type' To be added

  Gets the of the server-activated client type.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added: an object of type 'string' To be added

  Gets the URL of the server-activated client object.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String

  If is not null, it is returned at the end of the string.

  Returns the full type name, assembly name, and object URL of the server-activated client type as a .

  The full type name, assembly name, and object URL of the server-activated client type as a .